summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoractionless2018-11-08 20:32:32 +0100
committeractionless2018-11-08 20:33:58 +0100
commit1aa294d82589f5dd5e156f7e0a55a06dcc1f0499 (patch)
tree64b22916ee9bbc6ccf1be90b4ba851d9ad04459e
downloadaur-1aa294d82589f5dd5e156f7e0a55a06dcc1f0499.tar.gz
initial commit
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD40
3 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f4660762dec
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = nohang-git
+ pkgdesc = A highly configurable OOM preventer
+ pkgver = r83ac238
+ pkgrel = 1
+ url = https://github.com/hakavlad/nohang
+ arch = any
+ license = MIT
+ depends = python3
+ depends = libnotify
+ depends = sudo
+ depends = procps-ng
+ conflicts = nohang
+ source = nohang-git::git+https://github.com/hakavlad/nohang.git#branch=master
+ md5sums = SKIP
+
+pkgname = nohang-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..4adab3559d3
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+pkg/
+src/
+*.pkg.*
+nohang-git/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2f8fc2f4f9b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Yauheni Kirylau <actionless dot loveless AT gmail.com>
+# shellcheck disable=SC2034,SC2154
+
+_pkgname=nohang
+pkgname=${_pkgname}-git
+pkgver=r83ac238
+pkgrel=1
+pkgdesc="A highly configurable OOM preventer"
+arch=('any')
+url="https://github.com/hakavlad/nohang"
+license=('MIT')
+source=(
+ "$pkgname::git+https://github.com/hakavlad/nohang.git#branch=master"
+)
+md5sums=('SKIP')
+depends=(
+ 'python3'
+ 'libnotify'
+ 'sudo'
+ 'procps-ng'
+)
+optdepends=(
+)
+conflicts=("${_pkgname}")
+
+pkgver() {
+ cd "${srcdir}/${pkgname}" || exit 2
+ set -o pipefail
+ git describe --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g' || \
+ git describe --long --always | sed 's/^/r/'
+}
+
+package() {
+ cd "${srcdir}/${pkgname}" || exit 2
+ make DESTDIR=${pkgdir} install
+
+ cd ${pkgdir}
+ mv usr/sbin usr/bin
+ mv lib usr/lib
+}